Subject: Re: [v6ops] one should not be using github, because it is on IPv4

From: Toerless Eckert <[email-masked]>
Date: Wed, 21 Jul 2021 19:44:44 +0200

Removing manycouches and 6man, adding v6ops

Having a rally on gather.town was what i thought to be a fun idea.
Especially because i thought this was already done for another purpose in
a past online IETF, but i fail to remember, so i may be wrong.

Given how an IAB member wanted the thread to be taken elsewhere, and
Bob Hinden also said this is not a topic for 6man,i was reading through v6ops
charter, and i don't see a reason why it should not be possible to
write an operational BCP for the IETF community that states that 
cloud services that do not support IPv6 natively MUST NOT be used
(over alternatives that do support IPv6 ?). And also name names,
e.g.: discuss the cloud services by name that the IETF currently
explicitly uses/prefers/demands. And we even have github RFCs for IEF
use, so github is an obvious explicit solution to discuss.

Of course, such a draft, especially if asked to be adopted by v6ops
for BCP, would end up in a length political battle in the IETF, and will
require good writeup of all the known technical issues that could
happen and/or are known to exist in variety of NAT solutions for
IPv6 only users in the IETF community. Although i don't think
operational issues to document would ahve to be limited to that.

And every paragraph of the text will have to be justified against
one of the five numbered v6ops goals. And of course there will also
be the fight from other that this must go somewhere into application area just
to ensure there is an unfriendly environment to the goal.

But: given how we have expanded the scope of the IETF into
even areas such as social engineering of our documents, it
strikes me as extremely lame that we have not even tried any
"eat your own dog food" RFC for this after as much as 20 years of IPv6.

Cheers
    Toerless

On Wed, Jul 21, 2021 at 09:58:34AM -0700, Bob Hinden wrote:
> Toreless, Alexandre, Jordi,
> 
> Personally, I am in full agreement.  I don’t think we should be using IPv4 only tools in the IETF.   I have tried posting on the github blog and have not gotten any answers why they don’t support IPv6.   My guess is that there are poeple in the github leadership who just don’t want to do it.  We could try contacting people we know at Microsoft (and Github) and try to better undertand what is going on and how to fix it.
> 
> However with my chair hat on, as Rick says, this is not in scope for 6man.

> From: "Salz, Rich" <[email-masked]>
> Subject: Re: [Manycouches] one should not be using github, because it is on IPv4
> Can we take this thread somewhere else, please.  

> > On Jul 21, 2021, at 8:14 AM, Toerless Eckert <[email-masked]> wrote:
> > 
> > I am not sure if manycouches is the right list for this.
> > (what is a network protocol, and why would i care ?)
> > Where do the IPv6 folks mostly flock together ... 6man ? Added.
> > 
> > Too bad it's Corona times. We could have organized something like
> > "Thursdays for IPv6" and rallyied in front of Github offices in San Francisco.
> > 
> > Why else would IETF go to San Francisco otherwise if not to partake in
> > a good rally (IETF56: https://en.wikipedia.org/wiki/20_March_2003_anti-war_protest)
> > 
> > Of course, everything can be digitized:
> > 
> > Find someone from ITF's gather.town team, get an outdoor area on gather.town
> > with a street and a github office at the end. Have a protest rally for 30
> > minutes next week, someone needs to show some presentation then in gather.town
> > e.g.: showing how many companies already do use IPv6. We all come with our
> > avatars, someone needs to screen record this, put it up on youtube, pass it
> > to all the journalists you can find, so the youtube URL gets visibility.
> > 
> > Didn't we already do something like this on gather.town ?
> > 
> > Cheers
> >    Toerless
> > 
> > On Wed, Jul 21, 2021 at 04:21:14PM +0200, Alexandre Petrescu wrote:
> >> more time passes more I think we should not be using github
> >> 
> >> Github is, err, not disrespectful, not arrogant, but let us say
> >> 'overlooking' my and others' requests of putting github on IPv6.  IPv6 is no
> >> longer the future of the Internet, but the current.  Somebody not on IPv6
> >> risks of becoming invisible.
> >> 
> >> At the same time, we insist in various places, including here, to use IPv4
> >> and github.
> >> 
> >> It is not normal.
> >> 
> >> Alex
> >> 
> >> 
> >> Le 20/07/2021 à 22:53, Martin Duke a écrit :
> >>> Hi Murray,
> >>> 
> >>> "Facility" is now gone from the document, but I made a small addition in
> >>> this PR.
> >>> https://github.com/martinduke/draft-ietf-shmoo-cancel-meeting/pull/16
> >>> <https://github.com/martinduke/draft-ietf-shmoo-cancel-meeting/pull/16>
> >>> 
> >>> Thanks for the review.
> >>> Martin
> >>> 
> >>> 
> >>> On Wed, Jul 14, 2021 at 2:38 PM Murray Kucherawy via Datatracker
> >>> <[email-masked] <mailto:[email-masked]>> wrote:
> >>> 
> >>>    Murray Kucherawy has entered the following ballot position for
> >>>    draft-ietf-shmoo-cancel-meeting-05: No Objection
> >>> 
> >>>    When responding, please keep the subject line intact and reply to all
> >>>    email addresses included in the To and CC lines. (Feel free to cut this
> >>>    introductory paragraph, however.)
> >>> 
> >>> 
> >>>    Please refer to
> >>>    https://www.ietf.org/iesg/statement/discuss-criteria.html
> >>>    <https://www.ietf.org/iesg/statement/discuss-criteria.html>
> >>>    for more information about DISCUSS and COMMENT positions.
> >>> 
> >>> 
> >>>    The document, along with other ballot positions, can be found here:
> >>>    https://datatracker.ietf.org/doc/draft-ietf-shmoo-cancel-meeting/
> >>>    <https://datatracker.ietf.org/doc/draft-ietf-shmoo-cancel-meeting/>
> >>> 
> >>> 
> >>> 
> >>>    ----------------------------------------------------------------------
> >>>    COMMENT:
> >>>    ----------------------------------------------------------------------
> >>> 
> >>>    I suggest the shepherd writeup should have been sent back for
> >>>    revision.  It
> >>>    answers the first three questions (What is the status, why is this
> >>>    the right
> >>>    status, is it shown on the front page?) with just "BCP".  Also,
> >>>    "N/A" is not an
> >>>    appropriate answer to question 7.
> >>> 
> >>>    Given the capitalization in Section 3.1, it appears some terms were also
> >>>    imported from RFC 8718 (e.g., "Facility", which is formally defined
> >>>    there).  We
> >>>    might want to make it explicit that these definitions are imported.
> >>> 
> >>> 
> >>> 
> >>> 
> >>> _______________________________________________
> >>> Manycouches mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/manycouches
> >>> 
> >> 
> >> _______________________________________________
> >> Manycouches mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/manycouches
> > 
> > --
> > ---
> > [email-masked]
> > 
> > --------------------------------------------------------------------
> > IETF IPv6 working group mailing list
> > [email-masked]
> > Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> > --------------------------------------------------------------------
> 

-- 
---
[email-masked]

---

From: Nick Hilliard <[email-masked]>
Date: Wed, 21 Jul 2021 22:31:06 +0100

> Removing manycouches and 6man, adding v6ops

Or maybe not.  The intersection between your suggestions and the v6ops 
charter is null.

Nick

---

From: Owen DeLong <[email-masked]>
Date: Wed, 21 Jul 2021 22:18:39 -0700

In the case of GitHub, I can propose Bitbucket as an IPv6 compliant alternative with
comparable (free for most uses) pricing. In fact, Bitbucket supports free private repos.

Owen

> On Jul 21, 2021, at 10:44 , Toerless Eckert <[email-masked]> wrote:
> 
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 22 Jul 2021 08:52:58 +0200

I think all WGs should follow this bitbucket advice.  I fully support: 
whenever one does I-D work at IETF one should think bitbucket rather 
than github, at least because of IPv6 support.

I suspect there might be others like bitbucket that I have seen 
mentioned at IETF: IETF's own issue tracker, and pastebin, and others.

Alex

---

From: Fred Baker <[email-masked]>
Date: Mon, 26 Jul 2021 08:48:59 -0700

> On Jul 21, 2021, at 2:31 PM, Nick Hilliard <[email-masked]> wrote:
> 
> Or maybe not.  The intersection between your suggestions and the v6ops charter is null.

The charter identifies five areas that are appropriate for v6ops. The question I would ask is: which of them applies to this?

https://datatracker.ietf.org/wg/v6ops/about/

Barring that, it's off-topic.